import React from 'react';
import {expect} from 'chai';

import Input from '../elements/Input';
import * as Validators from '../elements/Validators';
import * as fieldValidator from '../index';

describe('Available components', () => {
    it('include the Input component', () => {
        expect(fieldValidator.Input).to.equal(Input);
    });
    describe('validators', () => {
        it('to ensure required values', () => {
            expect(fieldValidator.Validators.ensureValue).to.equal(Validators.ensureValue);
        });
        it('to ensure email has the proper format', () => {
            expect(fieldValidator.Validators.ensureEmailFormat).to.equal(Validators.ensureEmailFormat);
        });
    });
});
