import validator from 'validator';

export let ensureValue = (value) => {
    if (value === undefined || !value.toString().trim().length) {
        return 'This field is required';
    }
};

export const ensureEmailFormat = (value) => {
    if (!validator.isEmail(value)) {
        return 'This field requires a valid E-Mail format.';
    }
};
