(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', './elements/Input', './elements/Validators'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('./elements/Input'), require('./elements/Validators'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.Input, global.Validators);
    global.index = mod.exports;
  }
})(this, function (exports, _react, _Input, _Validators) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Validators = exports.Input = undefined;

  var _react2 = _interopRequireDefault(_react);

  var _Input2 = _interopRequireDefault(_Input);

  var Validators = _interopRequireWildcard(_Validators);

  function _interopRequireWildcard(obj) {
    if (obj && obj.__esModule) {
      return obj;
    } else {
      var newObj = {};

      if (obj != null) {
        for (var key in obj) {
          if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
        }
      }

      newObj.default = obj;
      return newObj;
    }
  }

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.Input = _Input2.default;
  exports.Validators = Validators;
});